package com.kingdee.eas.custom.hireapproval;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.ICoreBillEntryBase;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.CoreBillEntryBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.custom.hireapproval.app.*;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class OAHireSalaryDataEntry extends CoreBillEntryBase implements IOAHireSalaryDataEntry
{
    public OAHireSalaryDataEntry()
    {
        super();
        registerInterface(IOAHireSalaryDataEntry.class, this);
    }
    public OAHireSalaryDataEntry(Context ctx)
    {
        super(ctx);
        registerInterface(IOAHireSalaryDataEntry.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("C3A0936C");
    }
    private OAHireSalaryDataEntryController getController() throws BOSException
    {
        return (OAHireSalaryDataEntryController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public OAHireSalaryDataEntryInfo getOAHireSalaryDataEntryInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getOAHireSalaryDataEntryInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public OAHireSalaryDataEntryInfo getOAHireSalaryDataEntryInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getOAHireSalaryDataEntryInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public OAHireSalaryDataEntryInfo getOAHireSalaryDataEntryInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getOAHireSalaryDataEntryInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public OAHireSalaryDataEntryCollection getOAHireSalaryDataEntryCollection() throws BOSException
    {
        try {
            return getController().getOAHireSalaryDataEntryCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public OAHireSalaryDataEntryCollection getOAHireSalaryDataEntryCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getOAHireSalaryDataEntryCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public OAHireSalaryDataEntryCollection getOAHireSalaryDataEntryCollection(String oql) throws BOSException
    {
        try {
            return getController().getOAHireSalaryDataEntryCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}